Bug 687913 - Can not rebuild gambas2
Summary: Can not rebuild gambas2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gambas2
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-15 17:36 UTC by Marek Kašík
Modified: 2011-03-29 03:57 UTC (History)
1 user (show)

Fixed In Version: poppler-0.16.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-29 03:57:42 UTC


Attachments (Terms of Use)
Logs (24.40 KB, application/x-bzip)
2011-03-15 17:36 UTC, Marek Kašík
no flags Details
don't take address of temporary (1.47 KB, patch)
2011-03-16 14:08 UTC, Marek Kašík
no flags Details | Diff

Description Marek Kašík 2011-03-15 17:36:49 UTC
Created attachment 485563 [details]
Logs

Description of problem:
Rebuild of gambas2 fails with:

main.cpp: In function 'int query_fill(DB_DATABASE*, DB_RESULT, int, GB_VARIANT_VALUE*, int)':
main.cpp:1219:44: error: taking address of temporary [-fpermissive]
main.cpp: In function 'int field_info(DB_DATABASE*, const char*, const char*, DB_FIELD*)':
main.cpp:1903:48: error: taking address of temporary [-fpermissive]
main.cpp:1905:36: error: taking address of temporary [-fpermissive]

(see attached logs)

Version-Release number of selected component (if applicable):
gambas2-2.22.0-5.fc15


Actual results:
Build fails


Expected results:
Build success


Additional info:
I need to rebuild gambas2 to finish chain-build of packages which requires poppler and file update for them.

Comment 1 Marek Kašík 2011-03-16 14:08:08 UTC
Created attachment 485746 [details]
don't take address of temporary

This patch fixes the problem mentioned above. But there is another problem. "linux/videodev.h" is obsoleted in current kernel (Fedora 15) so it doesn't build any of files in "gambas2-gb-v4l" subpackage and the build fails because of that.
I have to push the update of poppler without gambas2 since it needs to rewrite the v4l part to use "linux/videodev2.h" only.

Marek

Comment 2 Fedora Update System 2011-03-22 10:11:51 UTC
poppler-0.16.3-1.fc15,libreoffice-3.3.1.2-11.fc15,ufraw-0.18-2.fc15,vtk-5.6.1-5.fc15,apvlv-0.0.9.8-4.fc15,calibre-0.7.44-3.fc15,ease-0.4-4.fc15,epdfview-0.1.7-13.20100621svn.fc15,evince-2.91.92-2.fc15,gambas2-2.22.0-6.fc15,gdcm-2.0.16-17.fc15,gimp-2.6.11-8.fc15,gloobus-preview-0.4.1-13.fc15,gnome-commander-1.2.8.10-3.fc15,gummi-0.5.5-4.fc15,inkscape-0.48.1-4.fc15,koffice-2.3.3-2.fc15,libextractor-0.6.2-1508.fc15,OpenSceneGraph-2.8.3-10.fc15,pdf2djvu-0.7.4-7.fc15,pdf2svg-0.2.1-11.fc15,pypoppler-0.12.1-11.fc15,referencer-1.1.6-15.fc15,rubygem-poppler-0.90.8-2.fc15,texlive-2007-62.fc15,texmaker-2.1-5.fc15,texmakerx-2.0-6.fc15,tracker-0.10.3-2.fc15,vifir-0.8-1.fc15,xournal-0.4.5-12.fc15,zathura-0.0.8.2-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/poppler-0.16.3-1.fc15,libreoffice-3.3.1.2-11.fc15,ufraw-0.18-2.fc15,vtk-5.6.1-5.fc15,apvlv-0.0.9.8-4.fc15,calibre-0.7.44-3.fc15,ease-0.4-4.fc15,epdfview-0.1.7-13.20100621svn.fc15,evince-2.91.92-2.fc15,gambas2-2.22.0-6.fc15,gdcm-2.0.16-17.fc15,gimp-2.6.11-8.fc15,gloobus-preview-0.4.1-13.fc15,gnome-commander-1.2.8.10-3.fc15,gummi-0.5.5-4.fc15,inkscape-0.48.1-4.fc15,koffice-2.3.3-2.fc15,libextractor-0.6.2-1508.fc15,OpenSceneGraph-2.8.3-10.fc15,pdf2djvu-0.7.4-7.fc15,pdf2svg-0.2.1-11.fc15,pypoppler-0.12.1-11.fc15,referencer-1.1.6-15.fc15,rubygem-poppler-0.90.8-2.fc15,texlive-2007-62.fc15,texmaker-2.1-5.fc15,texmakerx-2.0-6.fc15,tracker-0.10.3-2.fc15,vifir-0.8-1.fc15,xournal-0.4.5-12.fc15,zathura-0.0.8.2-5.fc15

Comment 3 Fedora Update System 2011-03-29 03:57:09 UTC
poppler-0.16.3-1.fc15, ufraw-0.18-2.fc15, vtk-5.6.1-5.fc15, apvlv-0.0.9.8-4.fc15, calibre-0.7.44-3.fc15, ease-0.4-4.fc15, epdfview-0.1.7-13.20100621svn.fc15, gdcm-2.0.16-17.fc15, gimp-2.6.11-8.fc15, gloobus-preview-0.4.1-13.fc15, gnome-commander-1.2.8.10-3.fc15, gummi-0.5.5-4.fc15, inkscape-0.48.1-4.fc15, koffice-2.3.3-2.fc15, libextractor-0.6.2-1508.fc15, OpenSceneGraph-2.8.3-10.fc15, pdf2djvu-0.7.4-7.fc15, pdf2svg-0.2.1-11.fc15, pypoppler-0.12.1-11.fc15, referencer-1.1.6-15.fc15, rubygem-poppler-0.90.8-2.fc15, texlive-2007-62.fc15, texmaker-2.1-5.fc15, vifir-0.8-1.fc15, xournal-0.4.5-12.fc15, zathura-0.0.8.2-5.fc15, gambas2-2.22.0-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.